Bug 1128452 - Options window when Right clicking a domain,contains confusing options
Summary: Options window when Right clicking a domain,contains confusing options
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Pavel Stehlik
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 14:15 UTC by Ori Gofen
Modified: 2016-05-26 01:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 18:18:43 UTC
oVirt Team: UX


Attachments (Terms of Use)
image (52.24 KB, image/png)
2014-08-10 14:15 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-08-10 14:15:53 UTC
Created attachment 925522 [details]
image

Description of problem:
When browsing with the mouse over a storage domain and "right clicking" we expect to see all operations that one can execute on the specific domain.
New domain and Import domain are general options which can be confusing to 
unexperienced admin when appearing on "right click" options menu(view image) 

Version-Release number of selected component (if applicable):
rc1

How reproducible:
100%

Steps to Reproduce:
1.right click sd

Actual results:
see description

Expected results:
New domain and Import domain options should be removed from right click menu

Additional info:

Comment 1 Allon Mureinik 2014-08-10 14:58:09 UTC
IMHO, this is aligned with common best practices for list-like GUIs.
E.g., in zimbra, when you right click the main window (and, inevitably, click an email), one of the options is "new email".

Einav - your two UX cents please?

Comment 2 Einav Cohen 2014-08-11 18:18:43 UTC
After consulting with Liz:
Allon is correct - this is (a) aligned with common best practices for list-like GUIs and (b) consistent with the rest of the engine GUI (in which the right-click menu is merely a reflection of the top action panel). 

Therefore, I don't see any reason to change that any time soon; in 4.0, we may completely change the item selection paradigm altogether. 

[moving this BZ to 'ux', as this issue for sure doesn't apply only for Storage Domains, closing]


Note You need to log in before you can comment on or make changes to this bug.